%cohn2
%

clear all; clc;
startintlab;
format long;

syms x y z t

% The list of the equations:
f1 = x^3*y^2+4*x^2*y^2*z-x^2*y*z^2+288*x^2*y^2+207*x^2*y*z+1152*x*y^2*z + 156*x*y*z^2+x*z^3-3456*x^2*y+20736*x*y^2+19008*x*y*z+82944*y^2*z + 432*x*z^2- 497664*x*y+62208*x*z+2985984*x;
f2 = y^3*t^3+4*y^3*t^2-y^2*z*t^2+4*y^2*t^3-48*y^2*t^2-5*y*z*t^2 + 108*y*z*t+ z^2*t+144*z*t-1728*z;
f3 = -x^2*z^2*t+4*x*z^2*t^2+z^3*t^2+x^3*z+156*x^2*z*t+207*x*z^2*t+1152*x*z*t^2+288*z^2*t^2+432*x^2*z+19008*x*z*t-3456*z^2*t+82944*x*t^2+20736*z*t^2+62208*x*z-497664*z*t+2985984*z;
f4 = y^3*t^3-x*y^2*t^2+4*y^3*t^2+4*y^2*t^3-5*x*y^2*t-48*y^2*t^2+x^2*y+108*x*y*t+144*x*y-1728*x;

% Constructing the vector
L=[f1,f2,f3,f4];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_cohn2_homo',out,vars,t1);

