%d1
%

clear all; clc;
startintlab;
format long;

syms x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12

% The list of the equations:
f1 = x1^2  + x2^2 - 1;
f2 = x3^2  + x4^2 - 1;
f3 = x5^2  + x6^2 - 1;
f4 = x7^2  + x8^2 - 1;
f5 = x9^2  + x10^2 - 1;
f6 = x11^2 + x12^2 - 1;
f7 = 3*x3 + 2*x5 + x7 - 3.9701;
f8 = 3*x1*x4 + 2*x1*x6 + x1*x8 - 1.7172;
f9 = 3*x2*x4 + 2*x2*x6 + x2*x8 - 4.0616;
f10 = x3*x9 + x5*x9 + x7*x9 - 1.9791;
f11 = x2*x4*x9 + x2*x6*x9 + x2*x8*x9 + x1*x10 - 1.9115;
f12 = - x3*x10*x11 - x5*x10*x11 - x7*x10*x11 + x4*x12 + x6*x12 + x8*x12 - 0.4077;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,f11,f12];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;



% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_d1_homo',out,vars,t1);

