%d1
 
clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12

% The list of the equations:
h1 = x1^2  + x2^2 - 1;
h2 = x3^2  + x4^2 - 1;
h3 = x5^2  + x6^2 - 1;
h4 = x7^2  + x8^2 - 1;
h5 = x9^2  + x10^2 - 1;
h6 = x11^2 + x12^2 - 1;
h7 = 3*x3 + 2*x5 + x7 - 3.9701;
h8 = 3*x1*x4 + 2*x1*x6 + x1*x8 - 1.7172;
h9 = 3*x2*x4 + 2*x2*x6 + x2*x8 - 4.0616;
h10 = x3*x9 + x5*x9 + x7*x9 - 1.9791;
h11 = x2*x4*x9 + x2*x6*x9 + x2*x8*x9 + x1*x10 - 1.9115;
h12 = - x3*x10*x11 - x5*x10*x11 - x7*x10*x11 + x4*x12 + x6*x12 + x8*x12 - 0.4077;
% Constructing the vector
L=[h1,h2,h3,h4,h5,h6,h7,h8,h9,h10,h11,h12];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
% option.tol=1e-3;
option.tol=5e-2;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
% option.fast_eig_ratio=0.01;
option.fast_eig_ratio=0.05;
option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0
output('res_d1_msdp',out,vars,t1);