%kin1
%

clear all; clc;
startintlab;
format long;

syms s1 c1 s2 c2 s3 c3 s4 c4 s5 c5 s6 c6 

% The list of the equations:
f1 = s1^2 + c1^2 - 1;
f2 = s2^2 + c2^2 - 1;
f3 = s3^2 + c3^2 - 1;
f4 = s4^2 + c4^2 - 1;
f5 = s5^2 + c5^2 - 1;
f6 = s6^2 + c6^2 - 1;
f7 = s2*c5*s6 - s3*c5*s6 - s4*c5*s6 + c2*c6 + c3*c6 + c4*c6 - 0.4077;
f8 = c1*c2*s5 + c1*c3*s5 + c1*c4*s5 + s1*c5 - 1.9115;
f9 = s2*s5 + s3*s5 + s4*s5 - 1.9791;
f10 = c1*c2 + c1*c3 + c1*c4 + c1*c2 + c1*c3 + c1*c2 - 4.0616;
f11 = s1*c2 + s1*c3 + s1*c4 + s1*c2 + s1*c3 + s1*c2 - 1.7172;
f12 = s2 + s3 + s4 + s2 + s3 + s2 - 3.9701;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,f11,f12];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_kin1_homo',out,vars,t1);

