%ku10

clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2 x3 x4 x5 x6 x7 x8 x9 x10

% The list of the equations:
h1 = 5*x1*x2+ 5*x1+ 3*x2+ 55;
h2 = 7*x2*x3+ 9*x2+ 9*x3+ 19;
h3 = 3*x3*x4+ 6*x3+ 5*x4-4;
h4 = 6*x4*x5+ 6*x4+ 7*x5+ 118;
h5 = x5*x6+ 3*x5+ 9*x6+ 27;
h6 = 6*x6*x7+ 7*x6+x7+ 72;
h7 = 9*x7*x8+ 7*x7+x8+ 35;
h8 = 4*x8*x9+ 4*x8+ 6*x9+ 16;
h9 = 8*x9*x10+ 4*x9+ 3*x10-51;
h10 = 3*x1*x10-6*x1+x10+ 5;
% Constructing the vector
L=[h1,h2,h3,h4,h5,h6,h7,h8,h9,h10];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
% option.tol=1e-3;
option.tol=2e-5;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
% option.fast_eig_ratio=0.01;
option.fast_eig_ratio=0.05;

% option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_ku10_msdp',out,vars,t1);
