%puma
%

clear all; clc;
startintlab;
format long;

syms x1 x2 x3 x4 x5 x6 x7 x8

% The list of the equations:
f1 = x1^2 + x2^2 - 1;
f2 = x3^2 + x4^2 - 1;
f3 = x5^2 + x6^2 - 1;
f4 = x7^2 + x8^2 - 1;
f5 = 0.004731*x1*x3 - 0.3578*x2*x3 - 0.1238*x1 - 0.001637*x2 - 0.9338*x4 + x7 - 0.3571;
f6 = 0.2238*x1*x3 + 0.7623*x2*x3 + 0.2638*x1 - 0.07745*x2 -0.6734*x4 -0.6022;
f7 = x6*x8 + 0.3578*x1 + 0.004731*x2;
f8 = -0.7623*x1 + 0.2238*x2 + 0.3461;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6,f7,f8];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_puma_homo',out,vars,t1);

