%quadfor2

clear all; clc;
startintlab;
format long;
format infsup;

syms w1 w2 x1 x2

% The list of the equations:
h1 = w1 + w2 - 1;
h2 = w1*x1 + w2*x2;
h3 = w1*x1^2 + w2*x2^2 - 2/3;
h4 = w1*x1^3 + w2*x2^3;
% Constructing the vector
L=[h1,h2,h3,h4];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;

% option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_quadfor2_msdp',out,vars,t1);
