%redeco5
%

clear all; clc;
startintlab;
format long;

syms x1 x2 x3 x4 u5

% The list of the equations:
f1 = x1 + x1*x2 + x2*x3 + x3*x4 -   u5;
f2 =              x2 + x1*x3 + x2*x4 - 2*u5;
f3 =                             x3 + x1*x4 - 3*u5;
f4 =                                            x4 - 4*u5;
f5 =                       x1 + x2 + x3 + x4 + 1;

% Constructing the vector
L=[f1,f2,f3,f4,f5];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_redeco5_homo',out,vars,t1);

