%reimer5
%

clear all; clc;
startintlab;
format long;

syms x y z u t

% The list of the equations:
f1 = -1 + 2*x^2 - 2*y^2 + 2*z^2 - 2*t^2 + 2*u^2;
f2 = -1 + 2*x^3 - 2*y^3 + 2*z^3 - 2*t^3 + 2*u^3;
f3 = -1 + 2*x^4 - 2*y^4 + 2*z^4 - 2*t^4 + 2*u^4;
f4 = -1 + 2*x^5 - 2*y^5 + 2*z^5 - 2*t^5 + 2*u^5;
f5 = -1 + 2*x^6 - 2*y^6 + 2*z^6 - 2*t^6 + 2*u^6;

% Constructing the vector
L=[f1,f2,f3,f4,f5];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_reimer5_homo',out,vars,t1);

