% boon
%

clear all; clc;
startintlab;
format long;

syms s1 s2 g1 g2 C1 C2 

% The list of the equations:
f1 = s1^2+g1^2 - 1;
f2 = s2^2+g2^2 - 1;
f3 = C1*g1^3+C2*g2^3 - 1.2;
f4 = C1*s1^3+C2*s2^3 - 1.2;
f5 = C1*g1^2*s1+C2*g2^2*s2 - 0.7;
f6 = C1*g1*s1^2+C2*g2*s2^2 - 0.7;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;

% option.demand = 'each_component';


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_boon_homo',out,vars,t1);

