%comb3000
%

clear all; clc;
startintlab;
format long;

syms x1 x2 x3 x4 x5 x6 x7 x8 x9 x10

% The list of the equations:
f1 = x2 + 2*x6 + x9 + 2*x10 - 1.0E-5;
f2 =  x3 + x8 - 3.0E-5;
f3 = x1 + x3 + 2*x5 + 2*x8 + x9 + x10 - 5.0E-5;
f4 = x4 + 2*x7 - 1.0E-5;
f5 = 0.5140437E-7 * x5 - x1^2;
f6 = 0.1006932E-6 * x6 - x2^2;
f7 =  0.7816278E-15 * x7 - x4^2;
f8 = 0.1496236E-6 * x8 - x1*x3;
f9 = 0.6194411E-7 * x9 - x1*x2;
f10 = 0.2089296E-14 * x10 - x1*x2^2;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6,f7,f8,f9,f10]

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_comb3000_homo',out,vars,t1);

