%geneig
%

clear all; clc;
startintlab;
format long;

syms x1 x2 x3 x4 x5 x6

% The list of the equations:
f1 = -10*x1*x6^2+ 2*x2*x6^2-x3*x6^2+x4*x6^2+ 3*x5*x6^2+x1*x6+ 2*x2*x6+x3*x6+ 2*x4*x6+x5*x6+ 10*x1+ 2*x2-x3+ 2*x4-2*x5;
f2 = 2*x1*x6^2-11*x2*x6^2+ 2*x3*x6^2-2*x4*x6^2+x5*x6^2+ 2*x1*x6+x2*x6+ 2*x3*x6+x4*x6+ 3*x5*x6+ 2*x1+ 9*x2+ 3*x3-x4-2*x5;
f3 = -x1*x6^2+ 2*x2*x6^2-12*x3*x6^2-x4*x6^2+x5*x6^2+x1*x6+ 2*x2*x6-2*x4*x6-2*x5*x6-x1+ 3*x2+ 10*x3+ 2*x4-x5;
f4 = x1*x6^2-2*x2*x6^2-x3*x6^2-10*x4*x6^2+ 2*x5*x6^2+ 2*x1*x6+x2*x6-2*x3*x6+ 2*x4*x6+ 3*x5*x6+ 2*x1-x2+ 2*x3+ 12*x4+x5;
f5 = 3*x1*x6^2+x2*x6^2+x3*x6^2+ 2*x4*x6^2-11*x5*x6^2+x1*x6+ 3*x2*x6-2*x3*x6+ 3*x4*x6+ 3*x5*x6-2*x1-2*x2-x3+x4+ 10*x5;
f6 = x1+x2+x3+x4+x5-1;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_geneig_homo',out,vars,t1);

