%geneig

clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2 x3 x4 x5 x6

% The list of the equations:
h1 = -10*x1*x6^2+ 2*x2*x6^2-x3*x6^2+x4*x6^2+ 3*x5*x6^2+x1*x6+ 2*x2*x6+x3*x6+ 2*x4*x6+x5*x6+ 10*x1+ 2*x2-x3+ 2*x4-2*x5;
h2 = 2*x1*x6^2-11*x2*x6^2+ 2*x3*x6^2-2*x4*x6^2+x5*x6^2+ 2*x1*x6+x2*x6+ 2*x3*x6+x4*x6+ 3*x5*x6+ 2*x1+ 9*x2+ 3*x3-x4-2*x5;
h3 = -x1*x6^2+ 2*x2*x6^2-12*x3*x6^2-x4*x6^2+x5*x6^2+x1*x6+ 2*x2*x6-2*x4*x6-2*x5*x6-x1+ 3*x2+ 10*x3+ 2*x4-x5;
h4 = x1*x6^2-2*x2*x6^2-x3*x6^2-10*x4*x6^2+ 2*x5*x6^2+ 2*x1*x6+x2*x6-2*x3*x6+ 2*x4*x6+ 3*x5*x6+ 2*x1-x2+ 2*x3+ 12*x4+x5;
h5 = 3*x1*x6^2+x2*x6^2+x3*x6^2+ 2*x4*x6^2-11*x5*x6^2+x1*x6+ 3*x2*x6-2*x3*x6+ 3*x4*x6+ 3*x5*x6-2*x1-2*x2-x3+x4+ 10*x5;
h6 = x1+x2+x3+x4+x5-1;
% Constructing the vector
L=[h1,h2,h3,h4,h5,h6];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;

% option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_geneig_msdp',out,vars,t1);
