%katsura5
%

clear all; clc;
startintlab;
format long;

syms x y z  t u v

% The list of the equations:
f1 = 2*x^2+2*y^2+2*z^2+2*t^2+2*u^2+v^2-v;
f2 = x*y+y*z+2*z*t+2*t*u+2*u*v-u;
f3 = 2*x*z+2*y*t+2*z*u+u^2+2*t*v-t;
f4 = 2*x*t+2*y*u+2*t*u+2*z*v-z;
f5 = t^2+2*x*v+2*y*v+2*z*v-y;
f6 = 2*x+2*y+2*z+2*t+2*u+v-1;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_katsura5_homo',out,vars,t1);

