%ku10
%

clear all; clc;
startintlab;
format long;

syms x1 x2 x3 x4 x5 x6 x7 x8 x9 x10

% The list of the equations:
f1 = 5*x1*x2+ 5*x1+ 3*x2+ 55;
f2 = 7*x2*x3+ 9*x2+ 9*x3+ 19;
f3 = 3*x3*x4+ 6*x3+ 5*x4-4;
f4 = 6*x4*x5+ 6*x4+ 7*x5+ 118;
f5 = x5*x6+ 3*x5+ 9*x6+ 27;
f6 = 6*x6*x7+ 7*x6+x7+ 72;
f7 = 9*x7*x8+ 7*x7+x8+ 35;
f8 = 4*x8*x9+ 4*x8+ 6*x9+ 16;
f9 = 8*x9*x10+ 4*x9+ 3*x10-51;
f10 = 3*x1*x10-6*x1+x10+ 5;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6,f7,f8,f9,f10];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_ku10_homo',out,vars,t1);

