%noon3

clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2 x3

% The list of the equations:
h1 = x1*x2^2 + x1*x3^2 - 1.1*x1 + 1;
h2 = x2*x1^2 + x2*x3^2 - 1.1*x2 + 1;
h3 = x3*x1^2 + x3*x2^2 - 1.1*x3 + 1;
% Constructing the vector
L=[h1,h2,h3];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;

option.refine=true; 

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option,t)
t1=cputime-t0;
output('res_noon3_msdp',out,vars,t1);
