%noon4
%

clear all; clc;
startintlab;
format long;

syms x1 x2 x3 x4

% The list of the equations:
f1 = x1*x2^2 + x1*x3^2 + x1*x4^2 - 1.1*x1 + 1;
f2 = x2*x1^2 + x2*x3^2 + x2*x4^2 - 1.1*x2 + 1;
f3 = x3*x1^2 + x3*x2^2 + x3*x4^2 - 1.1*x3 + 1;
f4 = x4*x1^2 + x4*x2^2 + x4*x3^2 - 1.1*x4 + 1;

% Constructing the vector
L=[f1,f2,f3,f4];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_noon4_homo',out,vars,t1);

