%quadfor2
%

clear all; clc;
startintlab;
format long;

syms w1 w2 x1 x2

% The list of the equations:
f1 = w1 + w2 - 1;
f2 = w1*x1 + w2*x2;
f3 = w1*x1^2 + w2*x2^2 - 2/3;
f4 = w1*x1^3 + w2*x2^3;

% Constructing the vector
L=[f1,f2,f3,f4];

% Set the solver
option.solver='homotopy';
option.tol=1e-7;
option.refine=true;


% Call the main function verify(..)
t0 = cputime;
[out,vars] = verify(L,option)
t1=cputime-t0
output('res_quadfor2_homo',out,vars,t1);

